## golang-github-gofiber-schema 1.7.0

=== Makefile ===
## help: 💡 Display available commands
.PHONY: help
help:
	@echo '⚡️ GoFiber/Fiber Development:'
	@sed -n 's/^##//p' ${MAKEFILE_LIST} | column -t -s ':' |  sed -e 's/^/ /'

## audit: 🚀 Conduct quality checks
.PHONY: audit
audit:
	go mod verify
	go vet ./...
	go run golang.org/x/vuln/cmd/govulncheck@latest ./...

## benchmark: 📈 Benchmark code performance
.PHONY: benchmark
benchmark:
	go test ./... -benchmem -bench=. -count=4 -run=^Benchmark_$

## coverage: ☂️  Generate coverage report
.PHONY: coverage
coverage:
	go run gotest.tools/gotestsum@latest -f testname -- ./... -race -count=1 -coverprofile=/tmp/coverage.out -covermode=atomic
	go tool cover -html=/tmp/coverage.out

## format: 🎨 Fix code format issues
.PHONY: format
format:
	go run mvdan.cc/gofumpt@latest -w -l .

## markdown: 🎨 Find markdown format issues (Requires markdownlint-cli2)
.PHONY: markdown
markdown:
	markdownlint-cli2 "**/*.md" "#vendor"

## lint: 🚨 Run lint checks
.PHONY: lint
lint:
	go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.6.2 run ./...

## test: 🚦 Execute all tests
.PHONY: test
test:
	go run gotest.tools/gotestsum@latest -f testname -- ./... -race -count=1 -shuffle=on

## longtest: 🚦 Execute all tests 10x
.PHONY: longtest
longtest:
	go run gotest.tools/gotestsum@latest -f testname -- ./... -race -count=15 -shuffle=on

## tidy: 📌 Clean and tidy dependencies
.PHONY: tidy
tidy:
	go mod tidy -v

## betteralign: 📐 Optimize alignment of fields in structs
.PHONY: betteralign
betteralign:
	go run github.com/dkorunic/betteralign/cmd/betteralign@latest -test_files -generated_files -apply ./...

## generate: ⚡️ Generate msgp && interface implementations
.PHONY: generate
generate:
	go install github.com/tinylib/msgp@latest
	go install github.com/vburenin/ifacemaker@975a95966976eeb2d4365a7fb236e274c54da64c
	go generate ./...

=== debian/changelog ===
golang-github-gofiber-schema (1.7.0-2) sid; urgency=medium

  * Using codenames instead of suitnames in changelog.
  * Re-adding source priority field for reprepro compatibility (#1110733).
  * Building with golang 1.25 to fix FTBFS on trixie.

 -- Daniel Baumann <daniel@debian.org>  Fri, 27 Feb 2026 08:26:57 +0100

golang-github-gofiber-schema (1.7.0-1) sid; urgency=medium

  * Initial upload to sid, needed for gatus (Closes: #1128937)
    via golang-githubg-gofiber-fiber 3.x (Closes: #1128932).

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Feb 2026 18:05:21 +0100

=== debian/control ===
Source: golang-github-gofiber-schema
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 dpkg-build-api (= 1),
 golang-1.25,
 golang-github-gofiber-utils-dev,
 golang-github-google-uuid-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/gofiber/schema
Vcs-Browser: https://forgejo.debian.net/golang/golang-github-gofiber-schema
Vcs-Git: https://forgejo.debian.net/golang/golang-github-gofiber-schema
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/gofiber/schema

Package: golang-github-gofiber-schema-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Express inspired web framework - binder (Go library)
 Fiber is a web framework, created with the idea of minimalism and follows the
 UNIX way. It is inspired by Express, the popular web framework for Node.js.
 .
 This package contains a binder for Fiber.

=== debian/rules ===
#!/usr/bin/make -f

export GOROOT := /usr/lib/go-1.25
export PATH := /usr/lib/go-1.25/bin:$(PATH)

%:
	dh ${@} --builddirectory=debian/_build --buildsystem=golang

=== debian/watch ===
Version: 5

Template: github
Owner: gofiber
Project: schema
